function cdrom_files, weeks=weeks, directories=directories,  $
		      sfd=sfd, flare=flare, _extra=_extra
;+
;   Name: cdrom_files
;
;   Purpose: return CDROM file names
;
;   Calling Sequence
;     files=cdrom_files(t0, t1, /XXX)     ; xxx={/hda,/bda,/spr,/sfr}  
;-

if data_chk(_extra,/struct) then pre=strlowcase(tag_names(_extra)) else $
     pre=''

spawn,'showmount -e solserv',cddir

dirs=strsplit(cddir,/head)
case 1 of
   keyword_set(sfd):   fss=wc_where(dirs,'*/sfd*',sscnt)
   keyword_set(flare): fss=wc_where(dirs,'*/fdat*',sscnt)
   keyword_set(weeks): begin
      fss=-1
      for i=0,n_elements(weeks)-1 do $
	   fss=[fss,wc_where(dirs,'*/'+weeks(i)+'a.*')]
           chk=where(fss ne -1, sscnt)
	   if sscnt gt 0 then fss=fss(chk) else $
	        box_message,'Week ' + weeks(i) + ' not in CD Jukebox'
   endcase
   else: begin
     fss=lindgen(n_elements(dirs))
     sscnt=n_elements(dirs)
   endcase
endcase  

if sscnt  eq 0 then begin
   box_message,'No files found ...'
   return,-1
endif

dirs=dirs(fss)
if keyword_set(directories) then retval=dirs else $
    retval=file_list(dirs,pre+'*',/cd)

if n_params() eq 2 then begin
   times=file2time(retval,out_sty='ints')
   ss=sel_timrange(times,t0,t1,/betw)
   if ss(0) ne -1 then retval=retval(ss) else files=''
endif

return,retval
end
