function sff_comp, index, data
;+
;   Name: sff_decomp
;
;   Purpose: compress an SFF file (may be deka-normed)
;
;   Input Parameters:
;      index - index structures
;      data -  data (2D or 3D)
;
;   Output:
;      function returns 8 bit (compressed) version of input 
; 
;   Calling Sequence:
;      comped_data=sff_comp(index,data)
;
;   History:
;      17-Sep-1998 - S.L.Freeland (at MSU) - for Science movie->byte
;
;   Restrictions:
;      no memory management - assumes you have "enough"
;-

dekanormed=gt_expdur(index(0)) eq 100000
pixsize=gt_pix_size(index)
case 1 of 
  dekanormed: retval=  byte(alog10((data*pixsize)>1)^.15)
  else: retval=sfd_decomp(data)
endcase
stop
return,retval
end